LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDockingAreaAcceptor Interface Reference

this interface enables developer to implement different docking area acceptors which are used by the frame based layout manager. More...

`import"XDockingAreaAcceptor.idl";`

Inheritance diagram for XDockingAreaAcceptor:

## Public Member Functions
com::sun::star::awt::XWindow | getContainerWindow ()
| provide the container window where the layout manager can request border space for docking windows. More...
boolean | requestDockingAreaSpace ([in] com::sun::star::awt::Rectangle RequestedSpace)
| method to ask an implementation if the provided space for docking windows is available or not. More...
void | setDockingAreaSpace ([in] com::sun::star::awt::Rectangle BorderSpace)
| method to brief an implementation that we need new border space. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

this interface enables developer to implement different docking area acceptors which are used by the frame based layout manager.

A docking area acceptor is responsible to control the docking area of a container window. As OLE for example supports inplace and outplace editing, there are different parts of code responsible for the container window. This interface enables developer to make support implementations for these scenarios.

See also
  com::sun::star::frame::XFrame

Since
  OOo 2.0

## Member Function Documentation

## ◆ getContainerWindow()

com::sun::star::awt::XWindow getContainerWindow | ( |  | ) |

provide the container window where the layout manager can request border space for docking windows.

Additionally the layout manager uses this window to create its own child windows for docking purposes.

## ◆ requestDockingAreaSpace()

boolean requestDockingAreaSpace | ( | [in] com::sun::star::awt::Rectangle | RequestedSpace | ) |

method to ask an implementation if the provided space for docking windows is available or not.

The com::sun::star::awt::Rectangle parameter is filled by the caller with pixel data. The members of com::sun::star::awt::Rectangle must be filled as following:

- X = requested area on left side (in pixel)
- Y = requested area on top side (in pixel)
- Width = requested area on right side (in pixel)
- Height = requested area on bottom side (in pixel)

## ◆ setDockingAreaSpace()

void setDockingAreaSpace | ( | [in] com::sun::star::awt::Rectangle | BorderSpace | ) |

method to brief an implementation that we need new border space.

The callee must size its document window so that we have the amount of space we have provided. The com::sun::star::awt::Rectangle parameter is filled by the caller with pixel data. The members of com::sun::star::awt::Rectangle must be filled as following:

- X = new area on left side (in pixel)
- Y = new area on top side (in pixel)
- Width = new area on right side (in pixel)
- Height = new area on bottom side (in pixel)

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XDockingAreaAcceptor.idl